[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: fix more tests
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: fix more tests |
Date: |
Sun, 25 Aug 2024 14:06:12 +0200 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new bf45df12c fix more tests
bf45df12c is described below
commit bf45df12ce70231d15e3d7643befa349013562b5
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Aug 25 14:06:08 2024 +0200
fix more tests
---
src/auditor/Makefile.am | 6 +++++-
src/auditor/test-kyc.sh | 22 +++++++++++-----------
src/auditor/test-sync.sh | 2 +-
3 files changed, 17 insertions(+), 13 deletions(-)
diff --git a/src/auditor/Makefile.am b/src/auditor/Makefile.am
index 1a78cb3a2..3c37d52af 100644
--- a/src/auditor/Makefile.am
+++ b/src/auditor/Makefile.am
@@ -305,7 +305,11 @@ check_SCRIPTS = \
test-revocation.sh \
test-sync.sh
-# TESTS = $(check_SCRIPTS)
+TESTS = \
+ test-auditor.sh \
+ test-revocation.sh \
+ test-sync.sh
+
EXTRA_DIST = \
taler-auditor.in \
diff --git a/src/auditor/test-kyc.sh b/src/auditor/test-kyc.sh
index 2c4fa6594..f45b7b3a4 100755
--- a/src/auditor/test-kyc.sh
+++ b/src/auditor/test-kyc.sh
@@ -356,18 +356,18 @@ function run_audit () {
2> "${MY_TMP_DIR}/taler-exchange-drain.log" \
|| exit_fail "FAIL"
echo " DONE"
+ fi
+ echo -n "Running taler-exchange-transfer ..."
+ taler-exchange-transfer \
+ -L INFO \
+ -t \
+ -c "$CONF" \
+ 2> "${MY_TMP_DIR}/drain-transfer.log" \
+ || exit_fail "FAIL"
+ echo " DONE"
- echo -n "Running taler-exchange-transfer ..."
- taler-exchange-transfer \
- -L INFO \
- -t \
- -c "$CONF" \
- 2> "${MY_TMP_DIR}/drain-transfer.log" \
- || exit_fail "FAIL"
- echo " DONE"
-
- audit_only
- post_audit
+ audit_only
+ post_audit
}
diff --git a/src/auditor/test-sync.sh b/src/auditor/test-sync.sh
index 9adeca5eb..de24ae764 100755
--- a/src/auditor/test-sync.sh
+++ b/src/auditor/test-sync.sh
@@ -71,7 +71,7 @@ function check_with_database()
-d test-sync-out.conf -t
# cs_nonce_locks excluded: no point
- for table in denominations denomination_revocations wire_targets reserves
reserves_in reserves_close reserves_open_requests reserves_open_deposits
reserves_out auditors auditor_denom_sigs exchange_sign_keys signkey_revocations
known_coins refresh_commitments refresh_revealed_coins refresh_transfer_keys
batch_deposits coin_deposits refunds wire_out aggregation_tracking wire_fee
recoup recoup_refresh extensions policy_details policy_fulfillments
purse_requests purse_decision purse_merg [...]
+ for table in denominations denomination_revocations wire_targets reserves
reserves_in reserves_close reserves_open_requests reserves_open_deposits
reserves_out auditors auditor_denom_sigs exchange_sign_keys signkey_revocations
known_coins refresh_commitments refresh_revealed_coins refresh_transfer_keys
batch_deposits coin_deposits refunds wire_out aggregation_tracking wire_fee
recoup recoup_refresh extensions policy_details policy_fulfillments
purse_requests purse_decision purse_merg [...]
do
echo -n "."
CIN=$(echo "SELECT COUNT(*) FROM exchange.$table" | psql talercheck-in
-Aqt)
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: fix more tests,
gnunet <=